// @flow
import * as RMWC from '@rmwc/types';
import * as React from 'react';
import { type IconPropT, type IconProps } from '@rmwc/icon';
export interface IconButtonProps extends RMWC.WithRippleProps {
    /** Controls the on / off state of the a toggleable button. */
    checked?: boolean;
    /** An onChange callback that receives a custom event. */
    onChange?: (evt: RMWC.CustomEventT<{
        isOn: boolean;
    }>) => void;
    /** Makes the button disabled */
    disabled?: boolean;
    /** Icon for the button */
    icon?: IconPropT;
    /** If specified, renders a toggle with this icon as the on state. */
    onIcon?: IconPropT;
}
export interface DeprecatedIconButtonProps {
    /** DEPRECATED: Pass options directly to icon */
    iconOptions?: any;
    /** DEPRECATED: Pass options directly to onIcon */
    onIconOptions?: any;
}
export var IconButtonRoot: React.ComponentType<IconButtonProps & RMWC.ComponentProps & RMWC.WithRippleProps>;
export interface IconButtonIconProps extends IconProps {
    on?: boolean;
}
export var IconButtonIcon: React.ComponentType<IconButtonIconProps & RMWC.ComponentProps>;
export var IconButton: (props: IconButtonProps & RMWC.ComponentProps) => React.Node;
export default IconButton;
